星期五, 11月 26, 2010

編譯gcin

我的環境是 Ubuntu 10.04/10.10。

首先到gcin source code 下載處 下載原始碼,就解開。

確定已經裝了 libgtk2.0-dev, libxtst-dev, libqt4-dev, libanthy-dev 這幾個套件,libqt3-mt-dev可以不裝,大多數的QT應用程式應該都升級到QT4了。

然後就執行 ./configure、make、sudo make install 三部曲。

但是 make 時,應該會吐找不到 /usr/lib/qt4/bin/moc 的錯誤,我不太清楚為什麼要用這個目錄下的,至少,我的環境是找不到,也許 debian 是放在那兒也不一定。這個檔案是在 /usr/bin/moc-qt4,所以把 qt-im/Makefile 、 qt4-im/Makefile 裡的 /usr/lib/$(QT)/bin/moc 改為 /usr/bin/moc-$(QT) ,接著再重新編譯、安裝就沒問題了。

沒有留言:

您或許對這些文章有興趣

Related Posts Plugin for WordPress, Blogger...